Package org.springframework.transaction

# Class HeuristicCompletionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.transaction.TransactionException
org.springframework.transaction.HeuristicCompletionException

All Implemented Interfaces:
  `Serializable`

public class HeuristicCompletionException extends TransactionException
Exception that represents a transaction failure caused by a heuristic decision on the side of the transaction coordinator.

Since:
  17.03.2003
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`STATE_COMMITTED`
Committed outcome state.
`static final int`
`STATE_MIXED`
Mixed outcome state.
`static final int`
`STATE_ROLLED_BACK`
Rolledback outcome state.
`static final int`
`STATE_UNKNOWN`
Unknown outcome state.

## Constructor Summary

Constructors
Constructor
Description
`HeuristicCompletionException(int outcomeState, Throwable cause)`
Constructor for HeuristicCompletionException.

## Method Summary

Modifier and Type
Method
Description
`int`
`getOutcomeState()`
Return the outcome state of the transaction state, as one of the constants in this class.
`static String`
`getStateString(int state)`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### STATE_UNKNOWN

public static final int STATE_UNKNOWN
Unknown outcome state.

See Also:
  - Constant Field Values

### STATE_COMMITTED

public static final int STATE_COMMITTED
Committed outcome state.

See Also:
  - Constant Field Values

### STATE_ROLLED_BACK

public static final int STATE_ROLLED_BACK
Rolledback outcome state.

See Also:
  - Constant Field Values

### STATE_MIXED

public static final int STATE_MIXED
Mixed outcome state.

See Also:
  - Constant Field Values

## Constructor Details

### HeuristicCompletionException

public HeuristicCompletionException(int outcomeState, Throwable cause)
Constructor for HeuristicCompletionException.

Parameters:
  `outcomeState` - the outcome state of the transaction
  `cause` - the root cause from the transaction API in use

## Method Details

### getStateString

public static String getStateString(int state)

### getOutcomeState

public int getOutcomeState()
Return the outcome state of the transaction state, as one of the constants in this class.

See Also:
  - `STATE_UNKNOWN`
  - `STATE_COMMITTED`
  - `STATE_ROLLED_BACK`
  - `STATE_MIXED`